Package be.ehealth.business.mycarenetdomaincommons.builders

# Class RequestBuilderFactory

java.lang.Object
be.ehealth.business.mycarenetdomaincommons.builders.RequestBuilderFactory

public final class RequestBuilderFactory extends Object
Factory for all Builders necessary to create a RequestObject. fully configurable with properties. use RequestBuilderFactory.getBlobBuilder if key "mycarenet.blobbuilder.class" exist in properties file this method return an instance of the class return in the value otherwise, this method return an instance of "be.ehealth.business.mycarenetdomaincommons.BlobBuilderImpl" use RequestBuilderFactory.getCommonBuilder if key "mycarenet.commonbuilder.class" exist in properties file this method return an instance of the class return in the value otherwise, this method return an instance of "be.ehealth.business.mycarenetdomaincommons.GenericCommonBuilderImpl"

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BlobBuilder`
  `getBlobBuilder(String projectName)`
  Deprecated.
  `static CommonBuilder`
  `getCommonBuilder(String projectName)`
  Retrieve an instance of `CommonBuilder` implementation.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getBlobBuilder

    @Deprecated public static BlobBuilder getBlobBuilder(String projectName) throws TechnicalConnectorException
    Deprecated.
    Retrieve an instance of `BlobBuilder` implementation
    Returns:
    Throws:
      `TechnicalConnectorException`

  - ### getCommonBuilder

    public static CommonBuilder getCommonBuilder(String projectName) throws TechnicalConnectorException
    Retrieve an instance of `CommonBuilder` implementation. If mycarenet.{projectName}.usedefaultproperties is true, then the default project Name will be used to instanciate CommonBuilder
    Parameters:
      `projectName` - the name of your project
    Returns:
    Throws:
      `TechnicalConnectorException`